Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.mashup
Interface DefaultMashupContentHandler

All Superinterfaces:
  org.xml.sax.ContentHandler, DefaultContentHandler, ResettableContentHandler

    public interface DefaultMashupContentHandler

extends DefaultContentHandler

Extension of the `AtomThreadingContentHandler` interface that provides convenience methods to more easily generate ATOM threading events.

The `atomXXX` methods generate complete ATOM tags, consisting of the start tag, an optional body and an end tag.

The `startXXX` methods are provided for convenience for those cases when no extra attributes are required for a starting element.

The `dateTime` methods write a date string in RFC3339 date format into a text() element.

The `uri` methods serialize URIs into a text() element.

The `text` methods serialize text() elements.

Since:
  8.0

Method Summary
`MashupContentHandler` | `getInnerContentHandler()` Returns a `ContentHandler` that ignores calls to `ContentHandler.startDocument()` and `ContentHandler.endDocument()` but simply passes on all other calls to the `DefaultContentHandler`.
`java.io.OutputStream` | `getOutputStream()` Returns a `OutputStream` that converts the input to base64 and dispatches to the `ContentHandler.characters(char[], int, int)` method.
`void` | `mashupHeader(java.lang.String rName, java.util.Date rValue)`
`void` | `mashupHeader(java.lang.String rName, java.util.Date[] rValue)`
`void` | `mashupHeader(java.lang.String rName, int rValue)`
`void` | `mashupHeader(java.lang.String rName, int[] rValue)`
`void` | `mashupHeader(java.lang.String rName, long rValue)`
`void` | `mashupHeader(java.lang.String rName, long[] rValue)`
`void` | `mashupHeader(java.lang.String rName, java.lang.String rValue)`
`void` | `mashupHeader(java.lang.String rName, java.lang.String[] rValue)`
`void` | `mashupHeader(java.lang.String rName, java.net.URI rValue)`
`void` | `mashupHeader(java.lang.String rName, java.net.URI[] rValue)`
`void` | `mashupHeader(java.lang.String rName, java.net.URL rValue)`
`void` | `mashupHeader(java.lang.String rName, java.net.URL[] rValue)`
`void` | `mashupValue(java.util.Date rValue)`
`void` | `mashupValue(int rValue)`
`void` | `mashupValue(long rValue)`
`void` | `mashupValue(java.lang.String rValue)`
`void` | `mashupValue(java.net.URI rValue)`
`void` | `mashupValue(java.net.URL rValue)`
`void` | `mashupValues(java.util.Date[] rValue)`
`void` | `mashupValues(int[] rValue)`
`void` | `mashupValues(long[] rValue)`
`void` | `mashupValues(java.lang.String[] rValue)`
`void` | `mashupValues(java.net.URI[] rValue)`
`void` | `mashupValues(java.net.URL[] rValue)`
`void` | `startBody()`
`void` | `startEntry(java.lang.String rURI)`
`void` | `startEntry(java.net.URI rURI)`
`void` | `startHeader(java.lang.String rName)`
`void` | `startHeaders()`
`void` | `startMashup()`
`void` | `startValue()`

Methods inherited from interface com.ibm.portal.resolver.xml.DefaultContentHandler
`dateTime, dateTime, getResult, getWriter, number, number, text, text, transform, uri, uri, uri, uri`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### getInnerContentHandler

    MashupContentHandler getInnerContentHandler()

  Description copied from interface: `DefaultContentHandler`
  Returns a `ContentHandler` that ignores calls to `ContentHandler.startDocument()` and `ContentHandler.endDocument()` but simply passes on all other calls to the `DefaultContentHandler`. This inner content handler is convenient to embed a second XML document into the document represented by the content handler. The easiest way to embed such a document is to use an identity transform with an arbitrary JAXP `Source` and a `javax.xml.transform.sax.SAXResult` that is attached to the inner content handler.

  Specified by:
    `getInnerContentHandler` in interface `DefaultContentHandler`
  Returns:
    A `ContentHandler` implementation that ignores document start and end calls.

### getOutputStream

    java.io.OutputStream getOutputStream()

  Returns a `OutputStream` that converts the input to base64 and dispatches to the `ContentHandler.characters(char[], int, int)` method. Make sure to close the stream after the element content has been written.

  Returns:
    OutputStream object as a convenience object to write base64 encoded content
  Since:
    8.5

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      java.util.Date rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      java.util.Date[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      int rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      int[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      long rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      long[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      java.lang.String rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      java.lang.String[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      java.net.URI rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      java.net.URI[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      java.net.URL rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupHeader

    void mashupHeader(java.lang.String rName,
                      java.net.URL[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValue

    void mashupValue(java.util.Date rValue)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValue

    void mashupValue(int rValue)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValue

    void mashupValue(long rValue)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValue

    void mashupValue(java.lang.String rValue)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValue

    void mashupValue(java.net.URI rValue)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValue

    void mashupValue(java.net.URL rValue)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValues

    void mashupValues(java.util.Date[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValues

    void mashupValues(int[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValues

    void mashupValues(long[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValues

    void mashupValues(java.lang.String[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValues

    void mashupValues(java.net.URI[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mashupValues

    void mashupValues(java.net.URL[] rValue)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startBody

    void startBody()
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startEntry

    void startEntry(java.lang.String rURI)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startEntry

    void startEntry(java.net.URI rURI)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startHeader

    void startHeader(java.lang.String rName)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startHeaders

    void startHeaders()
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startMashup

    void startMashup()
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startValue

    void startValue()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD